# dmp-dic接口

## 知识库接口

### 11001 根据知识库类型查询知识库数据

接口:`http://localhost:8831/dmp-dic/dic/code/queryAll/{typeCode}`

#### 请求方式

GET请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### URI参数说明

typeCode参考[码表类型](/utils/common.md)

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "id": "CODEDATA000000000000000003000001",
            "valid": null,
            "creationTime": null,
            "creator": null,
            "modifiedTime": null,
            "modifier": null,
            "projectId": null,
            "typeId": null,
            "typeCode": null,
            "code": "1",
            "name": "晴",
            "parentId": null,
            "innerCode": null,
            "extras": null,
            "showOrder": null,
            "remark": null,
            "content": null
        }
    ],
    "count": 26
}
```

|     字段     | 是否必有 |      字段说明      |             备注              |
| :----------: | :------: | :----------------: | :---------------------------: |
|      id      |    是    | 主键（无业务含义） | "CODEDATA"+18位0占位符+内部码 |
|  groupCode   |    否    |      集团编码      |                               |
|  projectId   |    否    |       项目id       | id规则:Pj+6位地区码+4位顺序码 |
|    typeId    |    是    |       类型ID       |                               |
|   typeCode   |    是    |      类型编码      |                               |
|     code     |    是    |        编码        |                               |
|     name     |    是    |        名称        |                               |
|   parentId   |    否    |       上级ID       |         顶级上级id为0         |
|  innerCode   |    否    |       内部码       |                               |
|    extras    |    否    |      扩展属性      |          格式为{...}          |
|  showOrder   |    否    |      显示顺序      |                               |
|    remark    |    否    |        备注        |                               |
|   creator    |    否    |       创建人       |                               |
| creationTime |    否    |      创建时间      |     格式为yyyyMMddHHmmss      |
|   modifier   |    否    |     最后修改人     |                               |
| modifiedTime |    否    |    最后修改时间    |     格式为yyyyMMddHHmmss      |
|    valid     |    否    |      合法标识      |         0-无效,1-有效         |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月12日14:25:15 | 新增 | 新增接口 |



## 数据字典接口(Deprecated)-兼容旧中台

### 12001 查询字典类型数据

#### 接口

`http://localhost:8831/dmp-dic/dic/dt/type/query?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子(仅列举[通用查询](/utils/common.md)中criteria中可使用的字段,具体参数结构请见[通用查询](/utils/common.md))

```
{
  "id": "dev_1",
  "groupCode": "PG",
  "type": "major",
  "name": "专业",
  "description": "Testing",
  "valid": 1,
  "creationTime": "20210813000000",
  "creator": "wdl",
  "modifiedTime": "20210813000000",
  "modifier": "wdl",
  "remark": "Testing"
}
```

| 字段         | 是否必须 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 否       | 32位UUID                          |
| groupCode    | 否       | 集团编码                          |
| type         | 否       | 字典类型                          |
| name         | 否       | 字典类型名称                      |
| description  | 否       | 描述                              |
| valid        | 否       | 有效状态,0-无效,1-有效            |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| creator      | 否       | 创建人账号id                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |
| remark       | 否       | 备注                              |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
          "id": "dev_1",
          "groupCode": "PG",
          "type": "major",
          "name": "专业",
          "description": "Testing",
          "valid": 1,
          "creationTime": "20210813000000",
          "creator": "wdl",
          "modifiedTime": "20210813000000",
          "modifier": "wdl",
          "remark": "Testing"
        }
    ],
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| groupCode    | 是       | 集团编码                          |
| type         | 是       | 字典类型                          |
| name         | 是       | 字典类型名称                      |
| description  | 否       | 描述                              |
| valid        | 否       | 有效状态,0-无效,1-有效            |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| creator      | 否       | 创建人账号id                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |
| remark       | 否       | 备注                              |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月12日14:25:15 | 新增 | 新增接口 |



### 12002 新增字典类型数据

#### 接口

`http://localhost:8831/dmp-dic/dic/dt/type/create?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "type": "major",
  "name": "专业",
  "description": "Testing",
  "remark": "Testing"
}
```

| 字段        | 是否必须 | 字段说明          |
| ----------- | -------- | ----------------- |
| type        | 是       | 字典类型,全局唯一 |
| name        | 是       | 字典类型名称      |
| description | 否       | 描述              |
| remark      | 否       | 备注              |

#### 成功例子

```
{
    "result": "success",
    "data": {
          "id": "dev_1",
          "groupCode": "PG",
          "type": "major",
          "name": "专业",
          "description": "Testing",
          "valid": 1,
          "creationTime": "20210813000000",
          "creator": "wdl",
          "modifiedTime": "20210813000000",
          "modifier": "wdl",
          "remark": "Testing"
    }
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| groupCode    | 是       | 集团编码                          |
| type         | 是       | 字典类型                          |
| name         | 是       | 字典类型名称                      |
| description  | 否       | 描述                              |
| valid        | 否       | 有效状态,0-无效,1-有效            |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| creator      | 否       | 创建人账号id                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |
| remark       | 否       | 备注                              |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月13日20:24:04 | 新增 | 新增接口 |



### 12003 更新字典类型数据

#### 接口

`http://localhost:8831/dmp-dic/dic/dt/type/update?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "id": "dev_1",
  "type": "major",
  "name": "专业",
  "description": "Testing",
  "remark": "Testing"
}
```

| 字段        | 是否必须 | 字段说明          |
| ----------- | -------- | ----------------- |
| id          | 是       | 类型主键id        |
| type        | 是       | 字典类型,全局唯一 |
| name        | 是       | 字典类型名称      |
| description | 否       | 描述              |
| remark      | 否       | 备注              |

#### 成功例子

```
{
    "result": "success",
    "data": {
          "id": "dev_1",
          "groupCode": "PG",
          "type": "major",
          "name": "专业",
          "description": "Testing",
          "valid": 1,
          "creationTime": "20210813000000",
          "creator": "wdl",
          "modifiedTime": "20210813000000",
          "modifier": "wdl",
          "remark": "Testing"
    }
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| groupCode    | 是       | 集团编码                          |
| type         | 是       | 字典类型                          |
| name         | 是       | 字典类型名称                      |
| description  | 否       | 描述                              |
| valid        | 否       | 有效状态,0-无效,1-有效            |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| creator      | 否       | 创建人账号id                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |
| remark       | 否       | 备注                              |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月13日20:24:04 | 新增 | 新增接口 |



### 12004 删除字典类型数据

#### 接口

`http://localhost:8831/dmp-dic/dic/dt/type/delete?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "id": "dev_1"
}
```

| 字段 | 是否必须 | 字段说明   |
| ---- | -------- | ---------- |
| id   | 是       | 类型主键id |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月13日20:29:23 | 新增 | 新增接口 |



### 12005 查询字典数据

#### 接口

`http://localhost:8831/dmp-dic/dic/dt/data/query?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子(仅列举[通用查询](/utils/common.md)中criteria中可使用的字段,具体参数结构请见[通用查询](/utils/common.md))

```
{
  "id": "dev_1",
  "dictTypeId": "PG",
  "parentId": "major",
  "type": "专业",
  "code": "major",
  "label": "major",
  "valid": 1,
  "creationTime": "20210813000000",
  "creator": "wdl",
  "modifiedTime": "20210813000000",
  "modifier": "wdl",
  "remark": "Testing"
}
```

| 字段         | 是否必须 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 否       | 32位UUID                          |
| dictTypeId   | 否       | 字典类型ID                        |
| parentId     | 否       | 父节点id                          |
| type         | 否       | 字典类型                          |
| code         | 否       | 字典数据编码                      |
| label        | 否       | 字典数据标签                      |
| valid        | 否       | 有效状态,0-无效,1-有效            |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| creator      | 否       | 创建人账号id                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |
| remark       | 否       | 备注                              |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
          "id": "dev_1",
          "dictTypeId": "PG",
          "parentId": "major",
          "type": "专业",
          "code": "major",
          "label": "major",
          "valid": 1,
          "creationTime": "20210813000000",
          "creator": "wdl",
          "modifiedTime": "20210813000000",
          "modifier": "wdl",
          "remark": "Testing"
        }
    ],
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| dictTypeId   | 是       | 字典类型ID                        |
| parentId     | 否       | 父节点id                          |
| type         | 是       | 字典类型                          |
| code         | 是       | 字典数据编码                      |
| label        | 是       | 字典数据标签                      |
| valid        | 是       | 有效状态,0-无效,1-有效            |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| creator      | 否       | 创建人账号id                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |
| remark       | 否       | 备注                              |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月12日14:25:15 | 新增 | 新增接口 |



### 12006 新增字典数据

#### 接口

`http://localhost:8831/dmp-dic/dic/dt/data/create?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "dictTypeId": "1",
  "parentId": "1",
  "type": "sex",
  "code": "A",
  "label": "man",
  "remark": "测试数据"
}
```

| 字段       | 是否必须 | 字段说明     |
| ---------- | -------- | ------------ |
| dictTypeId | 是       | 字典类型ID   |
| parentId   | 否       | 父节点id     |
| type       | 是       | 字典类型     |
| code       | 是       | 字典数据编码 |
| label      | 是       | 字典数据标签 |
| remark     | 否       | 备注         |

#### 成功例子

```
{
    "result": "success",
    "data": {
          "id": "dev_1",
          "dictTypeId": "PG",
          "parentId": "major",
          "type": "专业",
          "code": "major",
          "label": "major",
          "valid": 1,
          "creationTime": "20210813000000",
          "creator": "wdl",
          "modifiedTime": "20210813000000",
          "modifier": "wdl",
          "remark": "Testing"
    }
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| dictTypeId   | 是       | 字典类型ID                        |
| parentId     | 否       | 父节点id                          |
| type         | 是       | 字典类型                          |
| code         | 是       | 字典数据编码                      |
| label        | 是       | 字典数据标签                      |
| valid        | 是       | 有效状态,0-无效,1-有效            |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| creator      | 否       | 创建人账号id                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |
| remark       | 否       | 备注                              |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月13日20:24:04 | 新增 | 新增接口 |



### 12007 更新字典数据

#### 接口

`http://localhost:8831/dmp-dic/dic/dt/data/update?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "id":"***",
  "dictTypeId": "1",
  "parentId": "1",
  "type": "sex",
  "code": "A",
  "label": "man",
  "remark": "测试数据"
}
```

| 字段       | 是否必须 | 字段说明     |
| ---------- | -------- | ------------ |
| id         | 是       | 32位UUID     |
| dictTypeId | 是       | 字典类型ID   |
| parentId   | 否       | 父节点id     |
| type       | 是       | 字典类型     |
| code       | 是       | 字典数据编码 |
| label      | 是       | 字典数据标签 |
| remark     | 否       | 备注         |

#### 成功例子

```
{
    "result": "success",
    "data": {
          "id": "dev_1",
          "dictTypeId": "PG",
          "parentId": "major",
          "type": "专业",
          "code": "major",
          "label": "major",
          "valid": 1,
          "creationTime": "20210813000000",
          "creator": "wdl",
          "modifiedTime": "20210813000000",
          "modifier": "wdl",
          "remark": "Testing"
    }
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| dictTypeId   | 是       | 字典类型ID                        |
| parentId     | 否       | 父节点id                          |
| type         | 是       | 字典类型                          |
| code         | 是       | 字典数据编码                      |
| label        | 是       | 字典数据标签                      |
| valid        | 是       | 有效状态,0-无效,1-有效            |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| creator      | 否       | 创建人账号id                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |
| remark       | 否       | 备注                              |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月13日20:24:04 | 新增 | 新增接口 |



### 12008 删除字典数据

#### 接口

`http://localhost:8831/dmp-dic/dic/dt/data/delete?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "id": "dev_1"
}
```

| 字段 | 是否必须 | 字段说明   |
| ---- | -------- | ---------- |
| id   | 是       | 数据主键id |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月13日21:21:23 | 新增 | 新增接口 |



### 12009 查询字典数据映射

#### 接口

`http://localhost:8831/dmp-dic/dic/dt/data/map/query?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子(仅列举[通用查询](/utils/common.md)中criteria中可使用的字段,具体参数结构请见[通用查询](/utils/common.md))

```
{
  "id": "dev_1",
  "dictDataId": "PG",
  "type": "major",
  "code": "专业",
  "groupCode": "major",
  "targetCode": "major",
  "label": "**",
  "valid": 1,
  "creationTime": "20210813000000",
  "creator": "wdl",
  "modifiedTime": "20210813000000",
  "modifier": "wdl",
  "remark": "Testing"
}
```

| 字段         | 是否必须 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 否       | 32位UUID                          |
| dictDataId   | 否       | 字典数据ID                        |
| type         | 否       | 字典类型                          |
| code         | 否       | 字典数据编码                      |
| groupCode    | 否       | 集团编码                          |
| targetCode   | 否       | 映射字典数据表code                |
| label        | 否       | 字典数据标签                      |
| valid        | 否       | 有效状态,0-无效,1-有效            |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| creator      | 否       | 创建人账号id                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |
| remark       | 否       | 备注                              |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
          "id": "dev_1",
          "dictDataId": "PG",
          "type": "major",
          "code": "专业",
          "groupCode": "major",
          "targetCode": "major",
          "label": "**",
          "valid": 1,
          "creationTime": "20210813000000",
          "creator": "wdl",
          "modifiedTime": "20210813000000",
          "modifier": "wdl",
          "remark": "Testing"
        }
    ],
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| dictDataId   | 是       | 字典数据ID                        |
| type         | 是       | 字典类型                          |
| code         | 是       | 字典数据编码                      |
| groupCode    | 是       | 集团编码                          |
| targetCode   | 是       | 映射字典数据表code                |
| label        | 是       | 字典数据标签                      |
| valid        | 是       | 有效状态,0-无效,1-有效            |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| creator      | 否       | 创建人账号id                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |
| remark       | 否       | 备注                              |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月13日21:39:56 | 新增 | 新增接口 |



### 12010 新增字典数据映射

#### 接口

`http://localhost:8831/dmp-dic/dic/dt/data/map/create?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "dictDataId": "1",
  "type": "sex",
  "groupCode": "WD",
  "targetCode": "0",
  "label": "man",
  "code": "A",
  "remark": "测试数据"
}
```

| 字段       | 是否必须 | 字段说明           |
| ---------- | -------- | ------------------ |
| dictDataId | 是       | 字典数据ID         |
| type       | 是       | 字典类型           |
| code       | 是       | 字典数据编码       |
| groupCode  | 是       | 集团编码           |
| targetCode | 是       | 映射字典数据表code |
| label      | 是       | 字典数据标签       |
| remark     | 否       | 备注               |

#### 成功例子

```
{
    "result": "success",
    "data": {
          "id": "dev_1",
          "dictDataId": "PG",
          "type": "major",
          "code": "专业",
          "groupCode": "major",
          "targetCode": "major",
          "label": "**",
          "valid": 1,
          "creationTime": "20210813000000",
          "creator": "wdl",
          "modifiedTime": "20210813000000",
          "modifier": "wdl",
          "remark": "Testing"
    }
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| dictDataId   | 是       | 字典数据ID                        |
| type         | 是       | 字典类型                          |
| code         | 是       | 字典数据编码                      |
| groupCode    | 是       | 集团编码                          |
| targetCode   | 是       | 映射字典数据表code                |
| label        | 是       | 字典数据标签                      |
| valid        | 是       | 有效状态,0-无效,1-有效            |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| creator      | 否       | 创建人账号id                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |
| remark       | 否       | 备注                              |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月13日20:24:04 | 新增 | 新增接口 |



### 12011 更新字典数据映射

#### 接口

`http://localhost:8831/dmp-dic/dic/dt/data/map/update?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "id":"***",
  "dictDataId": "1",
  "type": "sex",
  "groupCode": "WD",
  "targetCode": "0",
  "label": "man",
  "code": "A",
  "remark": "测试数据"
}
```

| 字段       | 是否必须 | 字段说明           |
| ---------- | -------- | ------------------ |
| id         | 是       | 32位UUID           |
| dictDataId | 是       | 字典数据ID         |
| type       | 是       | 字典类型           |
| code       | 是       | 字典数据编码       |
| groupCode  | 是       | 集团编码           |
| targetCode | 是       | 映射字典数据表code |
| label      | 是       | 字典数据标签       |
| remark     | 否       | 备注               |

#### 成功例子

```
{
    "result": "success",
    "data": {
          "id": "dev_1",
          "dictTypeId": "PG",
          "parentId": "major",
          "type": "专业",
          "code": "major",
          "label": "major",
          "valid": 1,
          "creationTime": "20210813000000",
          "creator": "wdl",
          "modifiedTime": "20210813000000",
          "modifier": "wdl",
          "remark": "Testing"
    }
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| dictTypeId   | 是       | 字典类型ID                        |
| parentId     | 否       | 父节点id                          |
| type         | 是       | 字典类型                          |
| code         | 是       | 字典数据编码                      |
| label        | 是       | 字典数据标签                      |
| valid        | 是       | 有效状态,0-无效,1-有效            |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| creator      | 否       | 创建人账号id                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |
| remark       | 否       | 备注                              |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月13日20:24:04 | 新增 | 新增接口 |



### 12012 删除字典数据映射

#### 接口

`http://localhost:8831/dmp-dic/dic/dt/data/delete?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "id": "dev_1"
}
```

| 字段 | 是否必须 | 字段说明   |
| ---- | -------- | ---------- |
| id   | 是       | 数据主键id |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月13日21:43:31 | 新增 | 新增接口 |





