dmp-rwd接口

## 物理世界对象接口

### 21001 查询物理世界对象(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/query?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子(仅列举[通用查询](/utils/common.md)中criteria中可使用的字段,具体参数结构请见[通用查询](/utils/common.md))

```
{
  "id": "dev_1",
  "name": "专业",
  "localId":"***",
  "localName":"***",
  "objType":"***",
  "classCode":"***",
  "groupCode": "PG",
  "projectId":"Pj001",
  ....
  "relationFrom":{
  	"graphId": "",
    "graphCode": "",
    "relCode": "",
    "objTo": ""
  },
  "relationTo":{
  	"graphId": "",
    "graphCode": "",
    "relCode": "",
    "objFrom": ""
  }
}
```

| 字段         | 子字段    | 是否必须 | 字段说明                      |
| ------------ | --------- | -------- | ----------------------------- |
| id           |           | 否       | 32位UUID                      |
| name         |           | 否       | 对象名称                      |
| localId      |           | 否       | 对象本地编码                  |
| localName    |           | 否       | 对象本地名称                  |
| objType      |           | 否       | 对象类型                      |
| classCode    |           | 否       | 类型编码                      |
| ....         |           | 否       | 各类型的信息点                |
| relationFrom |           | 否       | 创建时间,格式为yyyyMMddHHmmss |
|              | graphId   | 否       | 图实例id                      |
|              | graphCode | 否       | 图实例编码                    |
|              | relCode   | 否       | 关系编码                      |
|              | objTo     | 否       | 指向对象id                    |
| relationTo   |           | 否       | 创建人账号id                  |
|              | graphId   | 否       | 图实例id                      |
|              | graphCode | 否       | 图实例编码                    |
|              | relCode   | 否       | 关系编码                      |
|              | objFrom   | 否       | 来源对象id                    |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
          "id": "dev_1",
          "name": "专业",
          "localId":"***",
          "localName":"***",
          "objType":"***",
          "classCode":"***",
          "groupCode": "PG",
          ...
        }
    ],
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| name         | 是       | 对象名称                          |
| localId      | 是       | 对象本地id                        |
| localName    | 是       | 对象本地名称                      |
| objType      | 否       | 对象类型                          |
| classCode    | 否       | 类型编码                          |
| groupCode    | 否       | 集团编码                          |
| creator      | 否       | 创建人账号id                      |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:08:41 | 新增 | 新增接口 |



### 21002 新增物理世界对象-单个新增(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/createOne?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "id": "对象id, 调用方传入,若为空则生成默认id",
    "classCode": "类型编码,不可为空",
    "信息点编码": "信息点值"
}
```

| 字段       | 是否必须 | 字段说明                              |
| ---------- | -------- | ------------------------------------- |
| id         | 否       | 对象id, 调用方传入,若为空则生成默认id |
| classCode  | 是       | 类型编码                              |
| 信息点编码 | 否       | 各物理对象类型拥有的信息点            |

#### 成功例子

```
{
    "result": "success",
    "data": {
            "id": "对象id, 调用方传入,若为空则生成默认id",
            "classCode": "类型编码,不可为空",
            "信息点编码": "信息点值"
    }
}
```

| 字段       | 是否必有 | 字段说明                   |
| ---------- | -------- | -------------------------- |
| id         | 是       | 对象id                     |
| classCode  | 是       | 类型编码                   |
| type       | 是       | 字典类型                   |
| 信息点编码 | 是       | 各物理对象类型拥有的信息点 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:15:09 | 新增 | 新增接口 |



### 21003 新增物理世界对象-批量新增(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/create?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
[
    {
        "id": "对象id, 调用方传入,若为空则生成默认id",
        "classCode": "类型编码,不可为空",
        "信息点编码": "信息点值"
    }
]
```

| 字段       | 是否必须 | 字段说明                              |
| ---------- | -------- | ------------------------------------- |
| id         | 否       | 对象id, 调用方传入,若为空则生成默认id |
| classCode  | 是       | 类型编码                              |
| 信息点编码 | 否       | 各物理对象类型拥有的信息点            |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "id": "对象id, 调用方传入,若为空则生成默认id",
            "classCode": "类型编码,不可为空",
            "信息点编码": "信息点值"
        }
    ]
}
```

| 字段       | 是否必有 | 字段说明                   |
| ---------- | -------- | -------------------------- |
| id         | 是       | 对象id                     |
| classCode  | 是       | 类型编码                   |
| type       | 是       | 字典类型                   |
| 信息点编码 | 是       | 各物理对象类型拥有的信息点 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:15:09 | 新增 | 新增接口 |



### 21004 更新物理世界对象数据-单个更新(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/updateOne?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
        "id": "对象id, 调用方传入",
        "信息点编码": "信息点值"
}
```

| 字段       | 是否必须 | 字段说明                   |
| ---------- | -------- | -------------------------- |
| id         | 是       | 对象id                     |
| 信息点编码 | 否       | 各物理对象类型拥有的信息点 |

#### 成功例子

```
{
    "result": "success",
    "data": {
            "id": "对象id, 调用方传入",
            "信息点编码": "信息点值"
    }
}
```

| 字段       | 是否必有 | 字段说明                   |
| ---------- | -------- | -------------------------- |
| id         | 是       | 对象id                     |
| 信息点编码 | 否       | 各物理对象类型拥有的信息点 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:22:01 | 新增 | 新增接口 |



### 21005 更新物理世界对象数据-批量更新(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/update?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
[
    {
        "id": "对象id, 调用方传入",
        "信息点编码": "信息点值"
    }
]
```

| 字段       | 是否必须 | 字段说明                   |
| ---------- | -------- | -------------------------- |
| id         | 是       | 对象id                     |
| 信息点编码 | 否       | 各物理对象类型拥有的信息点 |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "id": "对象id, 调用方传入",
            "信息点编码": "信息点值"
        }
    ]
}
```

| 字段       | 是否必有 | 字段说明                   |
| ---------- | -------- | -------------------------- |
| id         | 是       | 对象id                     |
| 信息点编码 | 否       | 各物理对象类型拥有的信息点 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:22:01 | 新增 | 新增接口 |



### 21006 删除物理世界对象数据-单个删除(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/deleteOne?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
"***"
```

| 字段 | 是否必须 | 字段说明 |
| ---- | -------- | -------- |
| ***  | 是       | 对象id   |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:25:23 | 新增 | 新增接口 |



### 21007 删除物理世界对象数据-批量删除(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/delete?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
["***","***"]
```

| 字段 | 是否必须 | 字段说明 |
| ---- | -------- | -------- |
| ***  | 是       | 对象id   |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:28:07 | 新增 | 新增接口 |



### 22001 查询物理世界对象关系(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/relation/query?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子(仅列举[通用查询](/utils/common.md)中criteria中可使用的字段,具体参数结构请见[通用查询](/utils/common.md))

```
{
    "graphCode": "图类型编码",
    "graphId": "图类型Id",
    "relCode": "边类型编码",
    "objFrom": "",
    "objTo": ""
}
```

| 字段      | 子字段 | 是否必须 | 字段说明   |
| --------- | ------ | -------- | ---------- |
| graphCode |        | 否       | 图类型编码 |
| graphId   |        | 否       | 图类型Id   |
| relCode   |        | 否       | 边类型编码 |
| objFrom   |        | 否       | 来源对象id |
| objTo     |        | 否       | 去向对象id |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "id": "9b88fb9496c94713ba41e2dc45861e89",
            "projectId": "Pj1101050029",
            "graphId": "GtArchSubset001",
            "graphCode": "ArchSubset",
            "relCode": "Fl2Sp",
            "objFrom": "Fl11010500296bc7ca3a0d5d41419cf95c5b45116400",
            "objTo": "Sp1101050029f79243a7cef34ffda9a09401274717b7",
            "valid": 1,
            "createTime": 1601527142000,
            "updateTime": 1601527142000
        }
    ],
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| groupCode    | 否       | 集团编码                          |
| projectId    | 是       | 项目id                            |
| graphId      | 否       | 图主键                            |
| graphCode    | 否       | 图编码                            |
| relCode      | 否       | 关系编码                          |
| objFrom      | 否       | 来源对象id                        |
| objTo        | 否       | 目标对象id                        |
| valid        | 是       | 合法标识,1-有效,0-无效            |
| creator      | 否       | 创建人账号id                      |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:37:10 | 新增 | 新增接口 |



### 22002 新增物理世界对象关系-单个新增(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/relation/createOne?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "graphCode": "图类型编码",
    "graphId": "图类型Id",
    "relCode": "边类型编码",
    "objFrom": "",
    "objTo": ""
}
```

| 字段      | 子字段 | 是否必须 | 字段说明   |
| --------- | ------ | -------- | ---------- |
| graphCode |        | 否       | 图类型编码 |
| graphId   |        | 否       | 图类型Id   |
| relCode   |        | 否       | 边类型编码 |
| objFrom   |        | 否       | 来源对象id |
| objTo     |        | 否       | 去向对象id |

#### 成功例子

```
{
    "result": "success",
    "data": {
        "id":"***",
        "graphCode": "图类型编码",
        "graphId": "图类型Id",
        "relCode": "边类型编码",
        "objFrom": "",
        "objTo": "",
        "valid":1,
        "creator":"创建人账号id",
        "creationTime":"创建时间,格式为yyyyMMddHHmmss",
        "modifiedTime":"最后更新时间,格式为yyyyMMddHHmmss",
        "modifier":"最后更新账号id"
    }
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| groupCode    | 否       | 集团编码                          |
| projectId    | 是       | 项目id                            |
| graphId      | 否       | 图主键                            |
| graphCode    | 否       | 图编码                            |
| relCode      | 否       | 关系编码                          |
| objFrom      | 否       | 来源对象id                        |
| objTo        | 否       | 目标对象id                        |
| valid        | 是       | 合法标识,1-有效,0-无效            |
| creator      | 否       | 创建人账号id                      |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:15:09 | 新增 | 新增接口 |



### 22003 新增物理世界对象关系-批量新增(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/create?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
[
    {
        "graphCode": "图类型编码",
        "graphId": "图类型Id",
        "relCode": "边类型编码",
        "objFrom": "",
        "objTo": ""
    }
]
```

| 字段      | 子字段 | 是否必须 | 字段说明   |
| --------- | ------ | -------- | ---------- |
| graphCode |        | 否       | 图类型编码 |
| graphId   |        | 否       | 图类型Id   |
| relCode   |        | 否       | 边类型编码 |
| objFrom   |        | 否       | 来源对象id |
| objTo     |        | 否       | 去向对象id |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "id":"***",
            "graphCode": "图类型编码",
            "graphId": "图类型Id",
            "relCode": "边类型编码",
            "objFrom": "",
            "objTo": "",
            "valid":1,
            "creator":"创建人账号id",
            "creationTime":"创建时间,格式为yyyyMMddHHmmss",
            "modifiedTime":"最后更新时间,格式为yyyyMMddHHmmss",
            "modifier":"最后更新账号id"
        }
    ]
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| groupCode    | 否       | 集团编码                          |
| projectId    | 是       | 项目id                            |
| graphId      | 否       | 图主键                            |
| graphCode    | 否       | 图编码                            |
| relCode      | 否       | 关系编码                          |
| objFrom      | 否       | 来源对象id                        |
| objTo        | 否       | 目标对象id                        |
| valid        | 是       | 合法标识,1-有效,0-无效            |
| creator      | 否       | 创建人账号id                      |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:45:22 | 新增 | 新增接口 |



## 图类型接口

### 23001 查询图类型(Deprecated)

接口:`http://localhost:8831/dmp-rwd/rwd/def/graph/query?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子(仅列举[通用查询](/utils/common.md)中criteria中可使用的字段,具体参数结构请见[通用查询](/utils/common.md))

```
{
  "id": "dev_1",
  "code": "专业",
  "name":"***",
  "firstCategory":"***",
  "secondCategory":"***",
  "remark":"***",
  "objectTypes": "PG",
  "creator":"Pj001",
  "creationTime":"***",
  "modifier":"***",
  "modifiedTime":"**",
  "valid":1
}
```

| 字段           | 是否必须 | 字段说明                          |
| -------------- | -------- | --------------------------------- |
| id             | 否       | 32位UUID                          |
| code           | 否       | 编码                              |
| name           | 否       | 名称                              |
| firstCategory  | 否       | 一级分类                          |
| secondCategory | 否       | 二级分类                          |
| remark         | 否       | 分类说明                          |
| objectTypes    | 否       | 关系两侧对象类别                  |
| creator        | 否       | 创建账号id                        |
| creationTime   | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier       | 否       | 最后更新账号                      |
| modifiedTime   | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid          | 否       | 是否有效,0-无效,1-有效            |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
          "id": "dev_1",
          "code": "专业",
          "name":"***",
          "firstCategory":"***",
          "secondCategory":"***",
          "remark":"***",
          "objectTypes": "PG",
          "creator":"Pj001",
          "creationTime":"***",
          "modifier":"***",
          "modifiedTime":"**",
          "valid":1
        }
    ],
    "count": 26
}
```

| 字段           | 是否必有 | 字段说明                          |
| -------------- | -------- | --------------------------------- |
| id             | 是       | 32位UUID                          |
| code           | 是       | 编码                              |
| name           | 是       | 名称                              |
| firstCategory  | 否       | 一级分类                          |
| secondCategory | 否       | 二级分类                          |
| remark         | 否       | 分类说明                          |
| objectTypes    | 否       | 关系两侧对象类别                  |
| creator        | 否       | 创建账号id                        |
| creationTime   | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier       | 否       | 最后更新账号                      |
| modifiedTime   | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid          | 否       | 是否有效,0-无效,1-有效            |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:51:10 | 新增 | 新增接口 |



### 23002 新增图类型(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/graph/create?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "code": "专业",
    "name":"***",
    "firstCategory":"***",
    "secondCategory":"***",
    "remark":"***",
    "objectTypes": "PG"
}
```

| 字段           | 是否必须 | 字段说明           |
| -------------- | -------- | ------------------ |
| code           | 是       | 编码,长度<=40字符  |
| name           | 是       | 名称,长度<=200字符 |
| firstCategory  | 否       | 一级分类           |
| secondCategory | 否       | 二级分类           |
| remark         | 否       | 分类说明           |
| objectTypes    | 否       | 关系两侧对象类别   |

#### 成功例子

```
{
    "result": "success",
    "data": {
          "id": "dev_1",
          "code": "专业",
          "name":"***",
          "firstCategory":"***",
          "secondCategory":"***",
          "remark":"***",
          "objectTypes": "PG",
          "creator":"Pj001",
          "creationTime":"***",
          "modifier":"***",
          "modifiedTime":"**",
          "valid":1
    },
    "count": 26
}
```

| 字段           | 是否必有 | 字段说明                          |
| -------------- | -------- | --------------------------------- |
| id             | 是       | 32位UUID                          |
| code           | 是       | 编码                              |
| name           | 是       | 名称                              |
| firstCategory  | 否       | 一级分类                          |
| secondCategory | 否       | 二级分类                          |
| remark         | 否       | 分类说明                          |
| objectTypes    | 否       | 关系两侧对象类别                  |
| creator        | 否       | 创建账号id                        |
| creationTime   | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier       | 否       | 最后更新账号                      |
| modifiedTime   | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid          | 否       | 是否有效,0-无效,1-有效            |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:55:28 | 新增 | 新增接口 |



### 23003 更新图类型(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/graph/update?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "id":"***",
    "code": "专业",
    "name":"***",
    "firstCategory":"***",
    "secondCategory":"***",
    "remark":"***",
    "objectTypes": "PG"
}
```

| 字段           | 是否必须 | 字段说明           |
| -------------- | -------- | ------------------ |
| id             | 是       | 32位uuid           |
| code           | 是       | 编码,长度<=40字符  |
| name           | 是       | 名称,长度<=200字符 |
| firstCategory  | 否       | 一级分类           |
| secondCategory | 否       | 二级分类           |
| remark         | 否       | 分类说明           |
| objectTypes    | 否       | 关系两侧对象类别   |

#### 成功例子

```
{
    "result": "success",
    "data": {
          "id": "dev_1",
          "code": "专业",
          "name":"***",
          "firstCategory":"***",
          "secondCategory":"***",
          "remark":"***",
          "objectTypes": "PG",
          "creator":"Pj001",
          "creationTime":"***",
          "modifier":"***",
          "modifiedTime":"**",
          "valid":1
    },
    "count": 26
}
```

| 字段           | 是否必有 | 字段说明                          |
| -------------- | -------- | --------------------------------- |
| id             | 是       | 32位UUID                          |
| code           | 是       | 编码                              |
| name           | 是       | 名称                              |
| firstCategory  | 否       | 一级分类                          |
| secondCategory | 否       | 二级分类                          |
| remark         | 否       | 分类说明                          |
| objectTypes    | 否       | 关系两侧对象类别                  |
| creator        | 否       | 创建账号id                        |
| creationTime   | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier       | 否       | 最后更新账号                      |
| modifiedTime   | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid          | 否       | 是否有效,0-无效,1-有效            |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:55:28 | 新增 | 新增接口 |



### 23004 删除图类型(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/graph/delete?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
"****"
```

| 字段 | 是否必须 | 字段说明 |
| ---- | -------- | -------- |
| id   | 是       | 32位uuid |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:08:48 | 新增 | 新增接口 |



## 边类型接口

### 24001 查询边类型(Deprecated)

接口:`http://localhost:8831/dmp-rwd/rwd/def/rel/query?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子(仅列举[通用查询](/utils/common.md)中criteria中可使用的字段,具体参数结构请见[通用查询](/utils/common.md))

```
{
  "id": "dev_1",
  "code": "专业",
  "name":"***",
  "graphCode":"***",
  "directional":"***",
  "attribute":"***",
  "targetObjs": "PG",
  "remark":"***",
  "creator":"Pj001",
  "creationTime":"***",
  "modifier":"***",
  "modifiedTime":"**",
  "valid":1
}
```

| 字段         | 是否必须 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 否       | 32位UUID                          |
| code         | 否       | 边类型编码                        |
| name         | 否       | 边类型名称                        |
| graphCode    | 否       | 图类型编码                        |
| directional  | 否       | 边方向性                          |
| attribute    | 否       | 边属性                            |
| targetObjs   | 否       | 主要连接对象                      |
| remark       | 否       | 备注                              |
| creator      | 否       | 创建账号id                        |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier     | 否       | 最后更新账号                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid        | 否       | 是否有效,0-无效,1-有效            |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
          "id": "dev_1",
          "code": "专业",
          "name":"***",
          "graphCode":"***",
          "directional":"***",
          "attribute":"***",
          "targetObjs": "PG",
          "remark":"***",
          "creator":"Pj001",
          "creationTime":"***",
          "modifier":"***",
          "modifiedTime":"**",
          "valid":1
        }
    ],
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| code         | 是       | 边类型编码                        |
| name         | 是       | 边类型名称                        |
| graphCode    | 是       | 图类型编码                        |
| directional  | 否       | 边方向性                          |
| attribute    | 否       | 边属性                            |
| targetObjs   | 否       | 主要连接对象                      |
| remark       | 否       | 备注                              |
| creator      | 否       | 创建账号id                        |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier     | 否       | 最后更新账号                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid        | 否       | 是否有效,0-无效,1-有效            |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月17日00:03:18 | 新增 | 新增接口 |



### 24002 新增边类型(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/rel/create?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "code": "专业",
  "name":"***",
  "graphCode":"***",
  "directional":"***",
  "attribute":"***",
  "targetObjs": "PG",
  "remark":"***"
}
```

| 字段        | 是否必须 | 字段说明     |
| ----------- | -------- | ------------ |
| code        | 是       | 边类型编码   |
| name        | 是       | 边类型名称   |
| graphCode   | 是       | 图类型编码   |
| directional | 是       | 边方向性     |
| attribute   | 否       | 边属性       |
| targetObjs  | 否       | 主要连接对象 |
| remark      | 否       | 备注         |

#### 成功例子

```
{
    "result": "success",
    "data": {
        "id": "dev_1",
        "code": "专业",
        "name":"***",
        "graphCode":"***",
        "directional":"***",
        "attribute":"***",
        "targetObjs": "PG",
        "remark":"***",
        "creator":"Pj001",
        "creationTime":"***",
        "modifier":"***",
        "modifiedTime":"**",
        "valid":1
    },
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| code         | 是       | 边类型编码                        |
| name         | 是       | 边类型名称                        |
| graphCode    | 是       | 图类型编码                        |
| directional  | 否       | 边方向性                          |
| attribute    | 否       | 边属性                            |
| targetObjs   | 否       | 主要连接对象                      |
| remark       | 否       | 备注                              |
| creator      | 否       | 创建账号id                        |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier     | 否       | 最后更新账号                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid        | 否       | 是否有效,0-无效,1-有效            |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月17日00:05:38 | 新增 | 新增接口 |



### 24003 更新边类型(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/rel/update?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "id": "dev_1",
  "code": "专业",
  "name":"***",
  "graphCode":"***",
  "directional":"***",
  "attribute":"***",
  "targetObjs": "PG",
  "remark":"***",
  "creator":"Pj001",
  "creationTime":"***",
  "modifier":"***",
  "modifiedTime":"**",
  "valid":1
}
```

| 字段         | 是否必须 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 否       | 32位UUID                          |
| code         | 否       | 边类型编码                        |
| name         | 否       | 边类型名称                        |
| graphCode    | 否       | 图类型编码                        |
| directional  | 否       | 边方向性                          |
| attribute    | 否       | 边属性                            |
| targetObjs   | 否       | 主要连接对象                      |
| remark       | 否       | 备注                              |
| creator      | 否       | 创建账号id                        |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier     | 否       | 最后更新账号                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid        | 否       | 是否有效,0-无效,1-有效            |

#### 成功例子

```
{
    "result": "success",
    "data": {
        "id": "dev_1",
        "code": "专业",
        "name":"***",
        "graphCode":"***",
        "directional":"***",
        "attribute":"***",
        "targetObjs": "PG",
        "remark":"***",
        "creator":"Pj001",
        "creationTime":"***",
        "modifier":"***",
        "modifiedTime":"**",
        "valid":1
    },
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| code         | 是       | 边类型编码                        |
| name         | 是       | 边类型名称                        |
| graphCode    | 是       | 图类型编码                        |
| directional  | 否       | 边方向性                          |
| attribute    | 否       | 边属性                            |
| targetObjs   | 否       | 主要连接对象                      |
| remark       | 否       | 备注                              |
| creator      | 否       | 创建账号id                        |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier     | 否       | 最后更新账号                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid        | 否       | 是否有效,0-无效,1-有效            |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月17日00:06:40 | 新增 | 新增接口 |



### 24004 删除边类型(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/rel/delete?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
"****"
```

| 字段 | 是否必须 | 字段说明 |
| ---- | -------- | -------- |
| id   | 是       | 32位uuid |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:08:48 | 新增 | 新增接口 |



## 对象信息点接口

### 数据类型(dataType属性)

| 数据类型   | 类型名称 | 信息点分类          | 是否复数   | 是否区间   | 数据源                           | 格式    |
| ---------- | -------- | ------------------- | ---------- | ---------- | -------------------------------- | ------- |
| INTEGER    | 整数     | 静态/脉冲/时序/阶段 | true/false | true/false | {$gt:10, $lt:50}                 | 无      |
| DOUBLE     | 浮点型   | 静态/脉冲/时序/阶段 | true/false | true/false | {$gte:10.1, $lt:50.9}            | 无      |
| BOOLEAN    | 布尔值   | 静态/脉冲/时序/阶段 | true/false | false      | [0, 1]                           | 无      |
| STRING     | 字符串   | 静态/脉冲/时序/阶段 | true/false | false      | (字符串长度区间){$gt:10, $lt:50} | 无      |
| DATETIME   | 日期时间 | 静态/脉冲/时序/阶段 | true/false | true/false | {'$gt':'0915', '$lt':'1031'}     | 'MMdd'  |
| ENUM       | 单选枚举 | 静态/脉冲/时序/阶段 | true/false | false      | 应用数据标准化中定义的数据类型   | 无      |
| MENUM      | 多选枚举 | 静态/脉冲/时序/阶段 | true/false | false      | 应用数据标准化中定义的数据类型   | 无      |
| ATTACHMENT | 附件     | 静态                | true/false | false      |                                  | pdf     |
| OBJECT     | 对象     | 静态                | true/false | false      |                                  | 对象 id |

说明

```
把原来的data_type拆解成多个属性,减少了data_type种类数量
使用新的数据类型时,使用新的数据类型时,创建或编辑信息点需要明确指出数据类型、动静分类、是否复数、是否区间、长度（可选）、取值区间（可选）、格式（可选）
Tree、Topology、Route、Function四种类型不再支持(有需求再加回来)

动静分类（静态 STATIC、脉冲 PULSE、时序 SEQUENTIAL、阶段 GRADATION）应该是信息点的一个分类，不是数据类型的属性，放在这里是为了更直观更容易理解
根据动静分类区分动态量或静态量,静态量的值存储的是具体的数据,动态量的值存储的是表号-功能号,动态量包括脉冲量、时序量和阶段量
根据是否区间来判断存储的值是具体值还是区间, 比如INTEGER非区间的值12, 区间值[8, 15],为了区分开闭区间,这里实际存储为{$gt: 12, $lte: 15}, 其中$gt大于,$lt小于,$gte大于等于,$lte小于等于
根据是否复数区分存储的值是单个值还是多个值,单个值存储形式为xxx,多个值存储形式为[xxx, yyy],如果同时是复数和区间,存储的是多个区间
取值区间可以约束值的取值范围,可以通过取值区间做一次校验,如果是区间值,区间也应该是在取值区间的内部
统一用DATETIME表示日期和时间,通过格式设定具体存储的内容,格式由数据字典进行维护,物理世界存储的数据严格符合格式
格式是数据存储的数据格式或文件格式,对于日期时间附件对象等可进行校验
单选枚举Enum单数存储为GC, 复数存储为[GC, JK]
多选枚举MEnum单数存储为[GC, JK], 复数存储为[[GC], [GC,JK]], 多选枚举单数和单选枚举复数的存储形式一样应该不会出现问题,因为实际使用时是和类型(Enum,Menum)一起使用

布尔值BOOLEAN只允许0或1, 其中0表示false,1表示true.
```

### 25001 查询对象信息点(Deprecated)

接口:`http://localhost:8831/dmp-rwd/rwd/def/funcid?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子(仅列举[通用查询](/utils/common.md)中criteria中可使用的字段,具体参数结构请见[通用查询](/utils/common.md))

```
{
  "id": "dev_1",
  "code": "专业",
  "name":"***",
  "aliasCode":"***",
  "aliasName":"***",
  "classCode":"***",
  "groupCode": "PG",
  "projectId":"***",
  "category":"***",
  "firstTag":"***",
  "secondTag":"***",
  "priority":"***",
  "inputMode":"***",
  "unit":"***",
  "dataType":"****",
  "isMultiple":"***",
  "isRegion":"***",
  "formater":"***",
  "dataSource":{},
  "remark":"***",
  "subFlag":0,
  "weakPoint":0,
  "showOrder":12,
  "version":"***",
  "creator":"Pj001",
  "creationTime":"***",
  "modifier":"***",
  "modifiedTime":"**",
  "valid":1
}
```

| 字段         | 是否必须 | 字段说明                                                     |
| ------------ | -------- | ------------------------------------------------------------ |
| id           | 否       | 32位UUID                                                     |
| code         | 否       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name         | 否       | 信息点名称                                                   |
| aliasCode    | 否       | 一级分类                                                     |
| aliasName    | 否       | 二级分类                                                     |
| classCode    | 否       | 类型编码                                                     |
| groupCode    | 否       | 集团编码                                                     |
| projectId    | 否       | 项目id                                                       |
| category     | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag     | 否       | 一级标签                                                     |
| secondTag    | 否       | 二级标签                                                     |
| priority     | 否       | 优先级                                                       |
| inputMode    | 否       | 输入方式                                                     |
| unit         | 否       | 单位                                                         |
| dataType     | 否       | 数据类型                                                     |
| isMultiple   | 否       | 是否复数                                                     |
| isRegion     | 否       | 是否区间                                                     |
| formater     | 否       | 数据格式                                                     |
| dataSource   | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark       | 否       | 备注                                                         |
| subFlag      | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint    | 否       | 虚点                                                         |
| showOrder    | 否       | 显示顺序                                                     |
| version      | 否       | 最后修改版本                                                 |
| creator      | 否       | 创建账号id                                                   |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss                                |
| modifier     | 否       | 最后更新账号                                                 |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                            |
| valid        | 否       | 是否有效,0-无效,1-有效                                       |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
          "id": "dev_1",
          "code": "专业",
          "name":"***",
          "aliasCode":"***",
          "aliasName":"***",
          "classCode":"***",
          "groupCode": "PG",
          "projectId":"***",
          "category":"***",
          "firstTag":"***",
          "secondTag":"***",
          "priority":"***",
          "inputMode":"***",
          "unit":"***",
          "dataType":"****",
          "isMultiple":"***",
          "isRegion":"***",
          "formater":"***",
          "dataSource":{},
          "remark":"***",
          "subFlag":0,
          "weakPoint":0,
          "showOrder":12,
          "version":"***",
          "creator":"Pj001",
          "creationTime":"***",
          "modifier":"***",
          "modifiedTime":"**",
          "valid":1
        }
    ],
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                                                     |
| ------------ | -------- | ------------------------------------------------------------ |
| id           | 是       | 32位UUID                                                     |
| code         | 是       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name         | 是       | 信息点名称                                                   |
| aliasCode    | 否       | 一级分类                                                     |
| aliasName    | 否       | 二级分类                                                     |
| classCode    | 否       | 类型编码                                                     |
| groupCode    | 否       | 集团编码                                                     |
| projectId    | 否       | 项目id                                                       |
| category     | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag     | 否       | 一级标签                                                     |
| secondTag    | 否       | 二级标签                                                     |
| priority     | 否       | 优先级                                                       |
| inputMode    | 否       | 输入方式                                                     |
| unit         | 否       | 单位                                                         |
| dataType     | 否       | 数据类型                                                     |
| isMultiple   | 否       | 是否复数                                                     |
| isRegion     | 否       | 是否区间                                                     |
| formater     | 否       | 数据格式                                                     |
| dataSource   | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark       | 否       | 备注                                                         |
| subFlag      | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint    | 否       | 虚点                                                         |
| showOrder    | 否       | 显示顺序                                                     |
| version      | 否       | 最后修改版本                                                 |
| creator      | 否       | 创建账号id                                                   |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss                                |
| modifier     | 否       | 最后更新账号                                                 |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                            |
| valid        | 否       | 是否有效,0-无效,1-有效                                       |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:51:10 | 新增 | 新增接口 |



### 25002 新增对象信息点(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/funcid/create?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "code": "专业",
    "name":"***",
    "aliasCode":"***",
    "aliasName":"***",
    "classCode":"***",
    "groupCode": "PG",
    "projectId":"***",
    "category":"***",
    "firstTag":"***",
    "secondTag":"***",
    "priority":"***",
    "inputMode":"***",
    "unit":"***",
    "dataType":"****",
    "isMultiple":"***",
    "isRegion":"***",
    "formater":"***",
    "dataSource":{},
    "remark":"***",
    "subFlag":0,
    "weakPoint":0,
    "showOrder":12,
    "version":"***"
}
```

| 字段       | 是否必须 | 字段说明                                                     |
| ---------- | -------- | ------------------------------------------------------------ |
| code       | 否       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name       | 否       | 信息点名称                                                   |
| aliasCode  | 否       | 别名编码                                                     |
| aliasName  | 否       | 别名名称                                                     |
| classCode  | 否       | 类型编码                                                     |
| groupCode  | 否       | 集团编码                                                     |
| projectId  | 否       | 项目id                                                       |
| category   | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag   | 否       | 一级标签                                                     |
| secondTag  | 否       | 二级标签                                                     |
| priority   | 否       | 优先级                                                       |
| inputMode  | 否       | 输入方式                                                     |
| unit       | 否       | 单位                                                         |
| dataType   | 否       | 数据类型                                                     |
| isMultiple | 否       | 是否复数                                                     |
| isRegion   | 否       | 是否区间                                                     |
| formater   | 否       | 数据格式                                                     |
| dataSource | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark     | 否       | 备注                                                         |
| subFlag    | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint  | 否       | 虚点                                                         |
| showOrder  | 否       | 显示顺序                                                     |
| version    | 否       | 最后修改版本                                                 |

#### 成功例子

```
{
    "result": "success",
    "data":{
          "id": "dev_1",
          "code": "专业",
          "name":"***",
          "aliasCode":"***",
          "aliasName":"***",
          "classCode":"***",
          "groupCode": "PG",
          "projectId":"***",
          "category":"***",
          "firstTag":"***",
          "secondTag":"***",
          "priority":"***",
          "inputMode":"***",
          "unit":"***",
          "dataType":"****",
          "isMultiple":"***",
          "isRegion":"***",
          "formater":"***",
          "dataSource":{},
          "remark":"***",
          "subFlag":0,
          "weakPoint":0,
          "showOrder":12,
          "version":"***",
          "creator":"Pj001",
          "creationTime":"***",
          "modifier":"***",
          "modifiedTime":"**",
          "valid":1
    },
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                                                     |
| ------------ | -------- | ------------------------------------------------------------ |
| id           | 是       | 32位UUID                                                     |
| code         | 是       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name         | 是       | 信息点名称                                                   |
| aliasCode    | 否       | 别名编码                                                     |
| aliasName    | 否       | 别名名称                                                     |
| classCode    | 否       | 类型编码                                                     |
| groupCode    | 否       | 集团编码                                                     |
| projectId    | 否       | 项目id                                                       |
| category     | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag     | 否       | 一级标签                                                     |
| secondTag    | 否       | 二级标签                                                     |
| priority     | 否       | 优先级                                                       |
| inputMode    | 否       | 输入方式                                                     |
| unit         | 否       | 单位                                                         |
| dataType     | 否       | 数据类型                                                     |
| isMultiple   | 否       | 是否复数                                                     |
| isRegion     | 否       | 是否区间                                                     |
| formater     | 否       | 数据格式                                                     |
| dataSource   | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark       | 否       | 备注                                                         |
| subFlag      | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint    | 否       | 虚点                                                         |
| showOrder    | 否       | 显示顺序                                                     |
| version      | 否       | 最后修改版本                                                 |
| creator      | 否       | 创建账号id                                                   |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss                                |
| modifier     | 否       | 最后更新账号                                                 |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                            |
| valid        | 否       | 是否有效,0-无效,1-有效                                       |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:55:28 | 新增 | 新增接口 |



### 25003 新增对象信息点-批量新增(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/funcid/createBatch?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
[
    {
        "code": "专业",
        "name":"***",
        "aliasCode":"***",
        "aliasName":"***",
        "classCode":"***",
        "groupCode": "PG",
        "projectId":"***",
        "category":"***",
        "firstTag":"***",
        "secondTag":"***",
        "priority":"***",
        "inputMode":"***",
        "unit":"***",
        "dataType":"****",
        "isMultiple":"***",
        "isRegion":"***",
        "formater":"***",
        "dataSource":{},
        "remark":"***",
        "subFlag":0,
        "weakPoint":0,
        "showOrder":12,
        "version":"***"
    }
]
```

| 字段       | 是否必须 | 字段说明                                                     |
| ---------- | -------- | ------------------------------------------------------------ |
| code       | 是       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name       | 是       | 信息点名称                                                   |
| aliasCode  | 是       | 别名编码                                                     |
| aliasName  | 是       | 别名名称                                                     |
| classCode  | 否       | 类型编码                                                     |
| groupCode  | 否       | 集团编码                                                     |
| projectId  | 否       | 项目id                                                       |
| category   | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag   | 否       | 一级标签                                                     |
| secondTag  | 否       | 二级标签                                                     |
| priority   | 否       | 优先级                                                       |
| inputMode  | 否       | 输入方式                                                     |
| unit       | 否       | 单位                                                         |
| dataType   | 否       | 数据类型                                                     |
| isMultiple | 否       | 是否复数                                                     |
| isRegion   | 否       | 是否区间                                                     |
| formater   | 否       | 数据格式                                                     |
| dataSource | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark     | 否       | 备注                                                         |
| subFlag    | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint  | 否       | 虚点                                                         |
| showOrder  | 否       | 显示顺序                                                     |
| version    | 否       | 最后修改版本                                                 |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
              "id": "dev_1",
              "code": "专业",
              "name":"***",
              "aliasCode":"***",
              "aliasName":"***",
              "classCode":"***",
              "groupCode": "PG",
              "projectId":"***",
              "category":"***",
              "firstTag":"***",
              "secondTag":"***",
              "priority":"***",
              "inputMode":"***",
              "unit":"***",
              "dataType":"****",
              "isMultiple":"***",
              "isRegion":"***",
              "formater":"***",
              "dataSource":{},
              "remark":"***",
              "subFlag":0,
              "weakPoint":0,
              "showOrder":12,
              "version":"***",
              "creator":"Pj001",
              "creationTime":"***",
              "modifier":"***",
              "modifiedTime":"**",
              "valid":1
        }
    ],
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                                                     |
| ------------ | -------- | ------------------------------------------------------------ |
| id           | 是       | 32位UUID                                                     |
| code         | 是       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name         | 是       | 信息点名称                                                   |
| aliasCode    | 否       | 别名编码                                                     |
| aliasName    | 否       | 别名名称                                                     |
| classCode    | 否       | 类型编码                                                     |
| groupCode    | 否       | 集团编码                                                     |
| projectId    | 否       | 项目id                                                       |
| category     | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag     | 否       | 一级标签                                                     |
| secondTag    | 否       | 二级标签                                                     |
| priority     | 否       | 优先级                                                       |
| inputMode    | 否       | 输入方式                                                     |
| unit         | 否       | 单位                                                         |
| dataType     | 否       | 数据类型                                                     |
| isMultiple   | 否       | 是否复数                                                     |
| isRegion     | 否       | 是否区间                                                     |
| formater     | 否       | 数据格式                                                     |
| dataSource   | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark       | 否       | 备注                                                         |
| subFlag      | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint    | 否       | 虚点                                                         |
| showOrder    | 否       | 显示顺序                                                     |
| version      | 否       | 最后修改版本                                                 |
| creator      | 否       | 创建账号id                                                   |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss                                |
| modifier     | 否       | 最后更新账号                                                 |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                            |
| valid        | 否       | 是否有效,0-无效,1-有效                                       |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:55:28 | 新增 | 新增接口 |



### 25004 更新对象信息点(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/funcid/update?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "id":"***",
    "code": "专业",
    "name":"***",
    "aliasCode":"***",
    "aliasName":"***",
    "classCode":"***",
    "groupCode": "PG",
    "projectId":"***",
    "category":"***",
    "firstTag":"***",
    "secondTag":"***",
    "priority":"***",
    "inputMode":"***",
    "unit":"***",
    "dataType":"****",
    "isMultiple":"***",
    "isRegion":"***",
    "formater":"***",
    "dataSource":{},
    "remark":"***",
    "subFlag":0,
    "weakPoint":0,
    "showOrder":12,
    "version":"***",
    "creator":"Pj001",
    "creationTime":"***",
    "modifier":"***",
    "modifiedTime":"**",
    "valid":1
}
```

| 字段         | 是否必须 | 字段说明                                                     |
| ------------ | -------- | ------------------------------------------------------------ |
| id           | 是       | 32位UUID                                                     |
| code         | 是       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name         | 是       | 信息点名称                                                   |
| aliasCode    | 是       | 别名名称                                                     |
| aliasName    | 是       | 别名名称                                                     |
| classCode    | 否       | 类型编码                                                     |
| groupCode    | 否       | 集团编码                                                     |
| projectId    | 否       | 项目id                                                       |
| category     | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag     | 否       | 一级标签                                                     |
| secondTag    | 否       | 二级标签                                                     |
| priority     | 否       | 优先级                                                       |
| inputMode    | 否       | 输入方式                                                     |
| unit         | 否       | 单位                                                         |
| dataType     | 否       | 数据类型                                                     |
| isMultiple   | 否       | 是否复数                                                     |
| isRegion     | 否       | 是否区间                                                     |
| formater     | 否       | 数据格式                                                     |
| dataSource   | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark       | 否       | 备注                                                         |
| subFlag      | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint    | 否       | 虚点                                                         |
| showOrder    | 否       | 显示顺序                                                     |
| version      | 否       | 最后修改版本                                                 |
| creator      | 否       | 创建账号id                                                   |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss                                |
| modifier     | 否       | 最后更新账号                                                 |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                            |
| valid        | 否       | 是否有效,0-无效,1-有效                                       |

#### 成功例子

```
{
    "result": "success",
    "data":{
          "id": "dev_1",
          "code": "专业",
          "name":"***",
          "aliasCode":"***",
          "aliasName":"***",
          "classCode":"***",
          "groupCode": "PG",
          "projectId":"***",
          "category":"***",
          "firstTag":"***",
          "secondTag":"***",
          "priority":"***",
          "inputMode":"***",
          "unit":"***",
          "dataType":"****",
          "isMultiple":"***",
          "isRegion":"***",
          "formater":"***",
          "dataSource":{},
          "remark":"***",
          "subFlag":0,
          "weakPoint":0,
          "showOrder":12,
          "version":"***",
          "creator":"Pj001",
          "creationTime":"***",
          "modifier":"***",
          "modifiedTime":"**",
          "valid":1
    },
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                                                     |
| ------------ | -------- | ------------------------------------------------------------ |
| id           | 是       | 32位UUID                                                     |
| code         | 是       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name         | 是       | 信息点名称                                                   |
| aliasCode    | 否       | 一级分类                                                     |
| aliasName    | 否       | 二级分类                                                     |
| classCode    | 否       | 类型编码                                                     |
| groupCode    | 否       | 集团编码                                                     |
| projectId    | 否       | 项目id                                                       |
| category     | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag     | 否       | 一级标签                                                     |
| secondTag    | 否       | 二级标签                                                     |
| priority     | 否       | 优先级                                                       |
| inputMode    | 否       | 输入方式                                                     |
| unit         | 否       | 单位                                                         |
| dataType     | 否       | 数据类型                                                     |
| isMultiple   | 否       | 是否复数                                                     |
| isRegion     | 否       | 是否区间                                                     |
| formater     | 否       | 数据格式                                                     |
| dataSource   | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark       | 否       | 备注                                                         |
| subFlag      | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint    | 否       | 虚点                                                         |
| showOrder    | 否       | 显示顺序                                                     |
| version      | 否       | 最后修改版本                                                 |
| creator      | 否       | 创建账号id                                                   |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss                                |
| modifier     | 否       | 最后更新账号                                                 |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                            |
| valid        | 否       | 是否有效,0-无效,1-有效                                       |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:55:28 | 新增 | 新增接口 |



### 25005 更新对象信息点-批量更新(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/funcid/updateBatch?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
[
    {
        "id":"***",
        "code": "专业",
        "name":"***",
        "aliasCode":"***",
        "aliasName":"***",
        "classCode":"***",
        "groupCode": "PG",
        "projectId":"***",
        "category":"***",
        "firstTag":"***",
        "secondTag":"***",
        "priority":"***",
        "inputMode":"***",
        "unit":"***",
        "dataType":"****",
        "isMultiple":"***",
        "isRegion":"***",
        "formater":"***",
        "dataSource":{},
        "remark":"***",
        "subFlag":0,
        "weakPoint":0,
        "showOrder":12,
        "version":"***",
        "creator":"Pj001",
        "creationTime":"***",
        "modifier":"***",
        "modifiedTime":"**",
        "valid":1
    }
]
```

| 字段         | 是否必须 | 字段说明                                                     |
| ------------ | -------- | ------------------------------------------------------------ |
| id           | 是       | 32位UUID                                                     |
| code         | 是       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name         | 是       | 信息点名称                                                   |
| aliasCode    | 是       | 别名编码                                                     |
| aliasName    | 是       | 别名名称                                                     |
| classCode    | 否       | 类型编码                                                     |
| groupCode    | 否       | 集团编码                                                     |
| projectId    | 否       | 项目id                                                       |
| category     | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag     | 否       | 一级标签                                                     |
| secondTag    | 否       | 二级标签                                                     |
| priority     | 否       | 优先级                                                       |
| inputMode    | 否       | 输入方式                                                     |
| unit         | 否       | 单位                                                         |
| dataType     | 否       | 数据类型                                                     |
| isMultiple   | 否       | 是否复数                                                     |
| isRegion     | 否       | 是否区间                                                     |
| formater     | 否       | 数据格式                                                     |
| dataSource   | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark       | 否       | 备注                                                         |
| subFlag      | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint    | 否       | 虚点                                                         |
| showOrder    | 否       | 显示顺序                                                     |
| version      | 否       | 最后修改版本                                                 |
| creator      | 否       | 创建账号id                                                   |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss                                |
| modifier     | 否       | 最后更新账号                                                 |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                            |
| valid        | 否       | 是否有效,0-无效,1-有效                                       |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
              "id": "dev_1",
              "code": "专业",
              "name":"***",
              "aliasCode":"***",
              "aliasName":"***",
              "classCode":"***",
              "groupCode": "PG",
              "projectId":"***",
              "category":"***",
              "firstTag":"***",
              "secondTag":"***",
              "priority":"***",
              "inputMode":"***",
              "unit":"***",
              "dataType":"****",
              "isMultiple":"***",
              "isRegion":"***",
              "formater":"***",
              "dataSource":{},
              "remark":"***",
              "subFlag":0,
              "weakPoint":0,
              "showOrder":12,
              "version":"***",
              "creator":"Pj001",
              "creationTime":"***",
              "modifier":"***",
              "modifiedTime":"**",
              "valid":1
        }
    ],
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                                                     |
| ------------ | -------- | ------------------------------------------------------------ |
| id           | 是       | 32位UUID                                                     |
| code         | 是       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name         | 是       | 信息点名称                                                   |
| aliasCode    | 否       | 一级分类                                                     |
| aliasName    | 否       | 二级分类                                                     |
| classCode    | 否       | 类型编码                                                     |
| groupCode    | 否       | 集团编码                                                     |
| projectId    | 否       | 项目id                                                       |
| category     | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag     | 否       | 一级标签                                                     |
| secondTag    | 否       | 二级标签                                                     |
| priority     | 否       | 优先级                                                       |
| inputMode    | 否       | 输入方式                                                     |
| unit         | 否       | 单位                                                         |
| dataType     | 否       | 数据类型                                                     |
| isMultiple   | 否       | 是否复数                                                     |
| isRegion     | 否       | 是否区间                                                     |
| formater     | 否       | 数据格式                                                     |
| dataSource   | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark       | 否       | 备注                                                         |
| subFlag      | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint    | 否       | 虚点                                                         |
| showOrder    | 否       | 显示顺序                                                     |
| version      | 否       | 最后修改版本                                                 |
| creator      | 否       | 创建账号id                                                   |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss                                |
| modifier     | 否       | 最后更新账号                                                 |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                            |
| valid        | 否       | 是否有效,0-无效,1-有效                                       |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:38:15 | 新增 | 新增接口 |



### 25006 删除对象信息点(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/funcid/delete?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
"***"
```

| 字段 | 是否必须 | 字段说明 |
| ---- | -------- | -------- |
| id   | 是       | id数组   |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:40:48 | 新增 | 新增接口 |



### 25007 删除对象信息点-批量删除(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/funcid/deleteBatch?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
["***","***"]
```

| 字段       | 是否必须 | 字段说明                                                     |
| ---------- | -------- | ------------------------------------------------------------ |
| id         | 是       | id数组                                                       |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:40:48 | 新增 | 新增接口 |



## 对象类型定义接口

### 26001 查询对象类型定义(Deprecated)

接口:`http://localhost:8831/dmp-rwd/rwd/def/class?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子(仅列举[通用查询](/utils/common.md)中criteria中可使用的字段,具体参数结构请见[通用查询](/utils/common.md))

```
{
    "id":"***",
    "code": "专业",
    "name":"***",
    "aliasCode":"***",
    "aliasName":"***",
    "objType":"***",
    "groupCode": "PG",
    "projectId":"***",
    "majorCode":"***",
    "systemCode":"***",
    "equipmentCode":"***",
    "parentCode":"***",
    "version":"***",
    "creator":"Pj001",
    "creationTime":"***",
    "modifier":"***",
    "modifiedTime":"**",
    "valid":1,
    "type":"***"
}
```

| 字段          | 是否必须 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| id            | 否       | 32位UUID                                           |
| code          | 否       | 编码-全局唯一                                      |
| name          | 否       | 名称                                               |
| aliasCode     | 否       | 别名编码, 集团下唯一                               |
| aliasName     | 否       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| creator       | 否       | 创建账号id                                         |
| creationTime  | 否       | 创建时间,格式为yyyyMMddHHmmss                      |
| modifier      | 否       | 最后更新账号                                       |
| modifiedTime  | 否       | 最后更新时间,格式为yyyyMMddHHmmss                  |
| valid         | 否       | 是否有效,0-无效,1-有效                             |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 成功例子

```
{
    "result": "success",
    "data":{
            "id":"***",
            "code": "专业",
            "name":"***",
            "aliasCode":"***",
            "aliasName":"***",
            "objType":"***",
            "groupCode": "PG",
            "projectId":"***",
            "majorCode":"***",
            "systemCode":"***",
            "equipmentCode":"***",
            "parentCode":"***",
            "version":"***",
            "creator":"Pj001",
            "creationTime":"***",
            "modifier":"***",
            "modifiedTime":"**",
            "valid":1,
            "type":"***"
    },
    "count": 26
}
```

| 字段          | 是否必有 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| id            | 是       | 32位UUID                                           |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| creator       | 否       | 创建账号id                                         |
| creationTime  | 否       | 创建时间,格式为yyyyMMddHHmmss                      |
| modifier      | 否       | 最后更新账号                                       |
| modifiedTime  | 否       | 最后更新时间,格式为yyyyMMddHHmmss                  |
| valid         | 否       | 是否有效,0-无效,1-有效                             |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:55:48 | 新增 | 新增接口 |



### 26002 新增对象类型定义(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/class/create?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "code": "专业",
    "name":"***",
    "aliasCode":"***",
    "aliasName":"***",
    "objType":"***",
    "groupCode": "PG",
    "projectId":"***",
    "majorCode":"***",
    "systemCode":"***",
    "equipmentCode":"***",
    "parentCode":"***",
    "version":"***",
    "type":"***"
}
```

| 字段          | 是否必须 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 成功例子

```
{
    "result": "success",
    "data":{
        "id":"***",
        "code": "专业",
        "name":"***",
        "aliasCode":"***",
        "aliasName":"***",
        "objType":"***",
        "groupCode": "PG",
        "projectId":"***",
        "majorCode":"***",
        "systemCode":"***",
        "equipmentCode":"***",
        "parentCode":"***",
        "version":"***",
        "creator":"Pj001",
        "creationTime":"***",
        "modifier":"***",
        "modifiedTime":"**",
        "valid":1,
        "type":"***"
    },
    "count": 26
}
```

| 字段          | 是否必有 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| id            | 是       | 32位UUID                                           |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| creator       | 否       | 创建账号id                                         |
| creationTime  | 否       | 创建时间,格式为yyyyMMddHHmmss                      |
| modifier      | 否       | 最后更新账号                                       |
| modifiedTime  | 否       | 最后更新时间,格式为yyyyMMddHHmmss                  |
| valid         | 否       | 是否有效,0-无效,1-有效                             |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:53:52 | 新增 | 新增接口 |



### 26003 新增对象类型定义-批量新增(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/class/createBatch?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
[
    {
        "code": "专业",
        "name":"***",
        "aliasCode":"***",
        "aliasName":"***",
        "objType":"***",
        "groupCode": "PG",
        "projectId":"***",
        "majorCode":"***",
        "systemCode":"***",
        "equipmentCode":"***",
        "parentCode":"***",
        "version":"***",
        "type":"***"
    }
]
```

| 字段          | 是否必须 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
                "id":"***",
                "code": "专业",
                "name":"***",
                "aliasCode":"***",
                "aliasName":"***",
                "objType":"***",
                "groupCode": "PG",
                "projectId":"***",
                "majorCode":"***",
                "systemCode":"***",
                "equipmentCode":"***",
                "parentCode":"***",
                "version":"***",
                "creator":"Pj001",
                "creationTime":"***",
                "modifier":"***",
                "modifiedTime":"**",
                "valid":1,
                "type":"***"
        }
    ],
    "count": 26
}
```

| 字段          | 是否必有 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| id            | 是       | 32位UUID                                           |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| creator       | 否       | 创建账号id                                         |
| creationTime  | 否       | 创建时间,格式为yyyyMMddHHmmss                      |
| modifier      | 否       | 最后更新账号                                       |
| modifiedTime  | 否       | 最后更新时间,格式为yyyyMMddHHmmss                  |
| valid         | 否       | 是否有效,0-无效,1-有效                             |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:55:28 | 新增 | 新增接口 |



### 26004 更新对象类型定义(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/class/update?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "id":"***",
    "code": "专业",
    "name":"***",
    "aliasCode":"***",
    "aliasName":"***",
    "objType":"***",
    "groupCode": "PG",
    "projectId":"***",
    "majorCode":"***",
    "systemCode":"***",
    "equipmentCode":"***",
    "parentCode":"***",
    "version":"***",
    "creator":"Pj001",
    "creationTime":"***",
    "modifier":"***",
    "modifiedTime":"**",
    "valid":1,
    "type":"***"
}
```

| 字段          | 是否必须 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| id            | 是       | 32位UUID                                           |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| creator       | 否       | 创建账号id                                         |
| creationTime  | 否       | 创建时间,格式为yyyyMMddHHmmss                      |
| modifier      | 否       | 最后更新账号                                       |
| modifiedTime  | 否       | 最后更新时间,格式为yyyyMMddHHmmss                  |
| valid         | 否       | 是否有效,0-无效,1-有效                             |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 成功例子

```
{
    "result": "success",
    "data":{
            "id":"***",
            "code": "专业",
            "name":"***",
            "aliasCode":"***",
            "aliasName":"***",
            "objType":"***",
            "groupCode": "PG",
            "projectId":"***",
            "majorCode":"***",
            "systemCode":"***",
            "equipmentCode":"***",
            "parentCode":"***",
            "version":"***",
            "creator":"Pj001",
            "creationTime":"***",
            "modifier":"***",
            "modifiedTime":"**",
            "valid":1,
            "type":"***"
    },
    "count": 26
}
```

| 字段          | 是否必有 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| id            | 是       | 32位UUID                                           |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| creator       | 否       | 创建账号id                                         |
| creationTime  | 否       | 创建时间,格式为yyyyMMddHHmmss                      |
| modifier      | 否       | 最后更新账号                                       |
| modifiedTime  | 否       | 最后更新时间,格式为yyyyMMddHHmmss                  |
| valid         | 否       | 是否有效,0-无效,1-有效                             |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:55:28 | 新增 | 新增接口 |



### 26005 更新对象类型定义-批量更新(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/class/updateBatch?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
[
    {
        "id":"***",
        "code": "专业",
        "name":"***",
        "aliasCode":"***",
        "aliasName":"***",
        "objType":"***",
        "groupCode": "PG",
        "projectId":"***",
        "majorCode":"***",
        "systemCode":"***",
        "equipmentCode":"***",
        "parentCode":"***",
        "version":"***",
        "creator":"Pj001",
        "creationTime":"***",
        "modifier":"***",
        "modifiedTime":"**",
        "valid":1,
        "type":"***"
    }
]
```

| 字段          | 是否必须 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| id            | 是       | 32位UUID                                           |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| creator       | 否       | 创建账号id                                         |
| creationTime  | 否       | 创建时间,格式为yyyyMMddHHmmss                      |
| modifier      | 否       | 最后更新账号                                       |
| modifiedTime  | 否       | 最后更新时间,格式为yyyyMMddHHmmss                  |
| valid         | 否       | 是否有效,0-无效,1-有效                             |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
            "id":"***",
            "code": "专业",
            "name":"***",
            "aliasCode":"***",
            "aliasName":"***",
            "objType":"***",
            "groupCode": "PG",
            "projectId":"***",
            "majorCode":"***",
            "systemCode":"***",
            "equipmentCode":"***",
            "parentCode":"***",
            "version":"***",
            "creator":"Pj001",
            "creationTime":"***",
            "modifier":"***",
            "modifiedTime":"**",
            "valid":1,
            "type":"***"
        }
    ],
    "count": 26
}
```

| 字段          | 是否必有 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| id            | 是       | 32位UUID                                           |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| creator       | 否       | 创建账号id                                         |
| creationTime  | 否       | 创建时间,格式为yyyyMMddHHmmss                      |
| modifier      | 否       | 最后更新账号                                       |
| modifiedTime  | 否       | 最后更新时间,格式为yyyyMMddHHmmss                  |
| valid         | 否       | 是否有效,0-无效,1-有效                             |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:38:15 | 新增 | 新增接口 |



### 26006 删除对象类型定义(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/class/delete?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
"***"
```

| 字段 | 是否必须 | 字段说明 |
| ---- | -------- | -------- |
| id   | 是       | id数组   |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:40:48 | 新增 | 新增接口 |



### 26007 删除对象类型定义-批量删除(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/class/deleteBatch?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
["***","***"]
```

| 字段 | 是否必须 | 字段说明 |
| ---- | -------- | -------- |
| id   | 是       | id数组   |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:40:48 | 新增 | 新增接口 |

## IOT接口

### 通用参数说明

以下参数放在 url 后

| 字段      | 数据类型 | 说明               |
| --------- | -------- | ------------------ |
| groupCode | String   | 集团编码, 不可为空 |
| projectId | String   | 项目 id, 不可为空  |
| appId     | String   | 应用 id, 不可为空  |

### 27001 查询实时数据

#### 接口说明

```
查询对象绑点信息点的实时数据
```

#### 请求地址

```
POST: http://localhost:8831/dmp-rwd/rwd/iot/data/current
```

#### 请求参数

```
[
    { "objectId": "Eqxxxxx", "infoCode": "tdb" },
    { "objectId": "Eqxxxxx", "infoCode": "co2" },
    { "objectId": "Eqxxxxx", "infoCode": "hcho" }
]
```

#### 返回内容

```
{
    "result": "success",
    "data": [
        {
            "objectId": "Eqxxxxx",
            "infoCode": "tdb",
            "infoValue": "8000-123",
            "data": 25.6,
            "time": "20200512172435"
        },
        {
            "objectId": "Eqxxxxx",
            "infoCode": "tdb",
            "infoValue": "8000-123",
            "data": 25.6,
            "time": "20200512172435"
        },
        {
            "objectId": "Eqxxxxx",
            "infoCode": "tdb",
            "error": "错误信息:信息点不存在,表号功能号配置错误,断数等"
        }
    ]
}
```

#### 返回内容说明

```
    infoValue: 信息点配置的内容即绑定的表号功能号
    time: 实时数据的采集时间
    data: 实时数据的值

```

### 27002  查询历史数据/分精度数据

#### 接口说明

```
查询对象绑点信息点的历史数据
1. 多点位个数最多支持50个
2. 分钟级数据，单点位支持最大7天数据查询，多点位支持最大1天数据查询；
3. 小时级数据，单点支持最大30天数据查询，多点位支持最大3天数据查询；
4. 日级数据，单点支持最大1年数据查询，多点位支持最大30天数据查询；
```

#### 请求地址

```
POST: http://localhost:8831/dmp-rwd/rwd/iot/data/history
```

#### 请求参数

```
{
    "startTime": "20200415120000",
    "endTime": "20200501120000",
    "period": "分精度类型，支持 1min、5min、15min、1h、1d",
    "params": [
        {
            "objectId": "对象id",
            "infoCode": "信息点编码",
        },
        {
            "objectId": "对象id",
            "infoCode": "信息点编码",
        }
    ]
}
```

#### 参数说明

```
    startTime:
    period: 必填,间隔
    objectId: 必填,对象id
    infoCode: 必填,信息点ID
```

#### 返回内容

```
{
    "result": "success",
    "data": [
        {
            "objectId": "对象id",
            "infoCode": "信息点编码",
            "data": [
                {
                    "time": "20200415120000"
                    "data": 25.6,
                },
                {
                    "time": "20200415120500"
                    "data": 25.6,
                }
            ]
        },
        {
            "objectId": "对象id",
            "infoCode": "信息点编码",
            "data": [
                {
                    "time": "20200415120000"
                    "data": 25.6,
                },
                {
                    "time": "20200415120500"
                    "data": 25.6,
                }
            ]
        }
    ]
}
```

#### 返回内容说明

```
返回数据的time可能是不连续的

```

### 27003 发送控制指令/设定动态参数

#### 接口说明

```
该接口为异步方式

```

#### 请求地址

```
POST: http://localhost:8831/dmp-rwd/rwd/iot/funcid/setting
```

#### 请求参数

```
[
    { "objectId": "Eqxxxxx", "infoCode": "FanFreqSet", value: 24 },
    { "objectId": "Eqxxxxx", "infoCode": "InValveSwitchSet", value: "a" },
    { "objectId": "Eqxxxxx", "infoCode": "WaterInOutDetaTempSet", value: 10 }
]
```

#### 请求参数说明

```
value要严格匹配信息点定义的数据类型
```

#### 返回内容

```
{
    "result": "success",
    "data": [
        {
            "objectId": "Eqxxxxx",
            "infoCode": "FanFreqSet",
            "exeCode":"sfge131v4t2vs3423rbsb3"
        },
        {
            "objectId": "Eqxxxxx",
            "infoCode": "InValveSwitchSet",
            "exeCode":"sfge131v4t2vs3423rbsb3"
        },
        {
            "objectId": "Eqxxxxx",
            "infoCode": "InValveSwitchSet",
            "exeCode":"sfge131v4t2vs3423rbsb3"
        }
    ]
}
```

#### 返回内容说明

```
    exeCode: 指令查询码,用于查询指令执行结果
```

### 27004 查询指令执行结果

#### 请求地址

```
POST: http://localhost:8831/dmp-rwd/iot/funcid/settingQuery
```

#### 请求参数

```
[ "sfge131v4t2vs3423rbqb3", "e1ge131v4t2vs3423rbsb3", "eaqge131v4t2vs3423rger" ]
```

#### 返回内容

```
{
    "result": "success",
    "data": [
        {
            "exeCode": "sfge131v4t2vs3423rbqb3",
            "exeResult": "timeout",
        },
        {
            "exeCode": "e1ge131v4t2vs3423rbsb3",
            "exeResult": "running",
        },
        {
            "exeCode": "eaqge131v4t2vs3423rger",
            "exeResult": "failed",
        }
    ]
}
```

#### 控制指令执行结果说明(待定)

```
控制指令执行结果为一个字符串，其可能值有以下几种：
- finish:success，执行完成
- timeout，表示控制指令已下发但超过了合理响应时间(默认1minute,系统可配置)至今一直为得到反馈
- running，表示控制指令已下发在合理响应时间内还未得到反馈
- failed，指令未下发出去
- success-offline，指令已下发出去，并得到了反馈，'success-'后面的字符为反馈的信息

```



## 数据迁移接口

### 28001 查询对象类型定义

接口:`http://localhost:8831/dmp-rwd/migrate/digital/start?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
   "orgUrl":"数据中台组织服务url前缀（不含最后的/)",
   "oldSchema":"数据中台使用的数据库实例",
   "groupCode":"指定集团编码【单个或数组】 - 为空表示不限集团",
   "projectId":"指定项目ID【单个或数组】 - 为空表示不限项目"
}
```

| 字段      | 是否必须 | 字段说明                                      |
| --------- | -------- | --------------------------------------------- |
| orgUrl    | 否       | 数据中台组织服务url前缀（不含最后的/)         |
| oldSchema | 否       | 数据中台使用的数据库实例                      |
| groupCode | 否       | 指定集团编码【单个或数组】 - 为空表示不限集团 |
| projectId | 否       | 指定项目ID【单个或数组】 - 为空表示不限项目   |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月17日00:11:42 | 新增 | 新增接口 |

